Bug 7951 - [UPDATE REQUEST] mpg123 1.23.8 -> 1.24.0
: [UPDATE REQUEST] mpg123 1.23.8 -> 1.24.0
Status: VERIFIED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-05-19 19:42 MSD by Giovanni Mariani
Modified: 2017-06-23 17:48 MSD (History)
2 users (show)

See Also:
RPM Package: mpg123-1.23.8-2.src.rpm
ISO-related:
Bad POT generating:
Upstream:
vladimir.potapov: qa_verified+
andrey.bondrov: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Giovanni Mariani 2017-05-19 19:42:02 MSD
New release for mpg123.

Changes:
* Avoid repeating genre in metadata printout for specifications like (144)Thrash Metal.

* In remote control mode, only enforce --quiet if no verbosity was required.

* Prevent --loop and --shuffle or --random from messing with the remote control LOADLIST command (printout of the list would loop without reason).

* Fix the mpg123 command (esp. our provided binaries on Windows) to now find modules again relative to the executable directory, not the current working directory. This was a regression in 1.23 and might be security-relevant if you called mpg123 in working directories with untrusted content.

* At least consistent behaviour of playlist code in the face of looping. Looping is about individual tracks, always. They are looped also in random mode. Jumping (prev/next keys) is between tracks and resets the loop counter. The display of currently playing track in the playlist is fixed for random and looped play now (bug 198).

* Looping is now mentioned for a to-be-repeated track with --verbose.

* Move some compiler nagging from --enable-debug to --enable-nagging, fix up some new build failures by adding some pesky feature test macros.

* Try not to pollute the terminal buffer with old progress bars in inverse video. Only the currently live one shall be seen. That one is pretty. The others are not.

* Using plain dlopen()/LoadLibrary() for opening modules instead of libltdl. This also means that --with-module-suffix is gone in configure.

* The out123 tool now features tone generation, with a mix of differing wave patterns. Makes sense to be able to test the audio output by itself, and it's fun. See --wave-freq and related parameters.
Comment 1 Giovanni Mariani 2017-05-19 19:43:19 MSD
Advisory:
New release 1.24.0 for mpg123.

Updated packages for Rosa 2016.1:
https://abf.rosalinux.ru/build_lists/2871906
https://abf.rosalinux.ru/build_lists/2871907
Comment 2 Vladimir Potapov 2017-06-15 08:02:31 MSD
The update is sent to expanded testing
************************************
Comment 3 Vladimir Potapov 2017-06-23 15:45:19 MSD
mpg123-1.24.0-1
https://abf.rosalinux.ru/build_lists/2871906
https://abf.rosalinux.ru/build_lists/2871907
********************************* Advisory *****************************
New release 1.24.0 for mpg123.
************************************************************************
QA Verified